Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/igrid_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/igrid_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/igrid_attr.F90	(revision 1545)
@@ -12,11 +12,14 @@
 
   SUBROUTINE xios(set_grid_attr)  &
-    ( grid_id, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_id, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -38,16 +41,19 @@
       (grid_id,grid_hdl)
       CALL xios(set_grid_attr_hdl_)   &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(set_grid_attr)
 
   SUBROUTINE xios(set_grid_attr_hdl)  &
-    ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -67,16 +73,19 @@
 
       CALL xios(set_grid_attr_hdl_)  &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(set_grid_attr_hdl)
 
   SUBROUTINE xios(set_grid_attr_hdl_)   &
-    ( grid_hdl, description_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_, mask_6d_, mask_7d_  &
-    , name_ )
+    ( grid_hdl, comment_, description_, mask_0d_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
+    , mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d__tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d_(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d__tmp(:)
@@ -95,7 +104,19 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_grid_comment &
+      (grid_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         CALL cxios_set_grid_description &
       (grid_hdl%daddr, description_, len(description_))
+      ENDIF
+
+      IF (PRESENT(mask_0d_)) THEN
+        ALLOCATE(mask_0d__tmp(SIZE(mask_0d_,1)))
+        mask_0d__tmp = mask_0d_
+        CALL cxios_set_grid_mask_0d &
+      (grid_hdl%daddr, mask_0d__tmp, SHAPE(mask_0d_))
       ENDIF
 
@@ -162,11 +183,14 @@
 
   SUBROUTINE xios(get_grid_attr)  &
-    ( grid_id, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_id, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -188,16 +212,19 @@
       (grid_id,grid_hdl)
       CALL xios(get_grid_attr_hdl_)   &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(get_grid_attr)
 
   SUBROUTINE xios(get_grid_attr_hdl)  &
-    ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -217,16 +244,19 @@
 
       CALL xios(get_grid_attr_hdl_)  &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(get_grid_attr_hdl)
 
   SUBROUTINE xios(get_grid_attr_hdl_)   &
-    ( grid_hdl, description_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_, mask_6d_, mask_7d_  &
-    , name_ )
+    ( grid_hdl, comment_, description_, mask_0d_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
+    , mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d__tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d_(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d__tmp(:)
@@ -245,7 +275,19 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_grid_comment &
+      (grid_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         CALL cxios_get_grid_description &
       (grid_hdl%daddr, description_, len(description_))
+      ENDIF
+
+      IF (PRESENT(mask_0d_)) THEN
+        ALLOCATE(mask_0d__tmp(SIZE(mask_0d_,1)))
+        CALL cxios_get_grid_mask_0d &
+      (grid_hdl%daddr, mask_0d__tmp, SHAPE(mask_0d_))
+        mask_0d_ = mask_0d__tmp
       ENDIF
 
@@ -312,12 +354,16 @@
 
   SUBROUTINE xios(is_defined_grid_attr)  &
-    ( grid_id, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_id, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d
+      LOGICAL(KIND=C_BOOL) :: mask_0d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d
       LOGICAL(KIND=C_BOOL) :: mask_1d_tmp
@@ -340,17 +386,21 @@
       (grid_id,grid_hdl)
       CALL xios(is_defined_grid_attr_hdl_)   &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(is_defined_grid_attr)
 
   SUBROUTINE xios(is_defined_grid_attr_hdl)  &
-    ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-     )
+    ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+    , mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d
+      LOGICAL(KIND=C_BOOL) :: mask_0d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d
       LOGICAL(KIND=C_BOOL) :: mask_1d_tmp
@@ -371,17 +421,21 @@
 
       CALL xios(is_defined_grid_attr_hdl_)  &
-      ( grid_hdl, description, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d, mask_7d, name  &
-       )
+      ( grid_hdl, comment, description, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
+      , mask_7d, name )
 
   END SUBROUTINE xios(is_defined_grid_attr_hdl)
 
   SUBROUTINE xios(is_defined_grid_attr_hdl_)   &
-    ( grid_hdl, description_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_, mask_6d_, mask_7d_  &
-    , name_ )
+    ( grid_hdl, comment_, description_, mask_0d_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
+    , mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description_
       LOGICAL(KIND=C_BOOL) :: description__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d_
+      LOGICAL(KIND=C_BOOL) :: mask_0d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d_
       LOGICAL(KIND=C_BOOL) :: mask_1d__tmp
@@ -401,4 +455,10 @@
       LOGICAL(KIND=C_BOOL) :: name__tmp
 
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_grid_comment &
+      (grid_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         description__tmp = cxios_is_defined_grid_description &
@@ -407,4 +467,10 @@
       ENDIF
 
+      IF (PRESENT(mask_0d_)) THEN
+        mask_0d__tmp = cxios_is_defined_grid_mask_0d &
+      (grid_hdl%daddr)
+        mask_0d_ = mask_0d__tmp
+      ENDIF
+
       IF (PRESENT(mask_1d_)) THEN
         mask_1d__tmp = cxios_is_defined_grid_mask_1d &
Index: XIOS/dev/branch_openmp/src/interface/fortran_attr/igridgroup_attr.F90
===================================================================
--- XIOS/dev/branch_openmp/src/interface/fortran_attr/igridgroup_attr.F90	(revision 1544)
+++ XIOS/dev/branch_openmp/src/interface/fortran_attr/igridgroup_attr.F90	(revision 1545)
@@ -12,12 +12,15 @@
 
   SUBROUTINE xios(set_gridgroup_attr)  &
-    ( gridgroup_id, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_id, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -39,17 +42,20 @@
       (gridgroup_id,gridgroup_hdl)
       CALL xios(set_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(set_gridgroup_attr)
 
   SUBROUTINE xios(set_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -69,17 +75,20 @@
 
       CALL xios(set_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(set_gridgroup_attr_hdl)
 
   SUBROUTINE xios(set_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, description_, group_ref_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
-    , mask_6d_, mask_7d_, name_ )
+    ( gridgroup_hdl, comment_, description_, group_ref_, mask_0d_, mask_1d_, mask_2d_, mask_3d_  &
+    , mask_4d_, mask_5d_, mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: mask_0d_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d__tmp(:)
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_1d_(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d__tmp(:)
@@ -98,4 +107,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_set_gridgroup_comment &
+      (gridgroup_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         CALL cxios_set_gridgroup_description &
@@ -106,4 +120,11 @@
         CALL cxios_set_gridgroup_group_ref &
       (gridgroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+
+      IF (PRESENT(mask_0d_)) THEN
+        ALLOCATE(mask_0d__tmp(SIZE(mask_0d_,1)))
+        mask_0d__tmp = mask_0d_
+        CALL cxios_set_gridgroup_mask_0d &
+      (gridgroup_hdl%daddr, mask_0d__tmp, SHAPE(mask_0d_))
       ENDIF
 
@@ -170,12 +191,15 @@
 
   SUBROUTINE xios(get_gridgroup_attr)  &
-    ( gridgroup_id, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_id, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -197,17 +221,20 @@
       (gridgroup_id,gridgroup_hdl)
       CALL xios(get_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(get_gridgroup_attr)
 
   SUBROUTINE xios(get_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d_tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d_tmp(:)
@@ -227,17 +254,20 @@
 
       CALL xios(get_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(get_gridgroup_attr_hdl)
 
   SUBROUTINE xios(get_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, description_, group_ref_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
-    , mask_6d_, mask_7d_, name_ )
+    ( gridgroup_hdl, comment_, description_, group_ref_, mask_0d_, mask_1d_, mask_2d_, mask_3d_  &
+    , mask_4d_, mask_5d_, mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_0d_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_0d__tmp(:)
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_1d_(:)
       LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: mask_1d__tmp(:)
@@ -256,4 +286,9 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
 
+      IF (PRESENT(comment_)) THEN
+        CALL cxios_get_gridgroup_comment &
+      (gridgroup_hdl%daddr, comment_, len(comment_))
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         CALL cxios_get_gridgroup_description &
@@ -264,4 +299,11 @@
         CALL cxios_get_gridgroup_group_ref &
       (gridgroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+
+      IF (PRESENT(mask_0d_)) THEN
+        ALLOCATE(mask_0d__tmp(SIZE(mask_0d_,1)))
+        CALL cxios_get_gridgroup_mask_0d &
+      (gridgroup_hdl%daddr, mask_0d__tmp, SHAPE(mask_0d_))
+        mask_0d_ = mask_0d__tmp
       ENDIF
 
@@ -328,14 +370,18 @@
 
   SUBROUTINE xios(is_defined_gridgroup_attr)  &
-    ( gridgroup_id, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_id, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d
+      LOGICAL(KIND=C_BOOL) :: mask_0d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d
       LOGICAL(KIND=C_BOOL) :: mask_1d_tmp
@@ -358,19 +404,23 @@
       (gridgroup_id,gridgroup_hdl)
       CALL xios(is_defined_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(is_defined_gridgroup_attr)
 
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-    , mask_7d, name )
+    ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+    , mask_5d, mask_6d, mask_7d, name )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment
+      LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d
+      LOGICAL(KIND=C_BOOL) :: mask_0d_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d
       LOGICAL(KIND=C_BOOL) :: mask_1d_tmp
@@ -391,19 +441,23 @@
 
       CALL xios(is_defined_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, description, group_ref, mask_1d, mask_2d, mask_3d, mask_4d, mask_5d, mask_6d  &
-      , mask_7d, name )
+      ( gridgroup_hdl, comment, description, group_ref, mask_0d, mask_1d, mask_2d, mask_3d, mask_4d  &
+      , mask_5d, mask_6d, mask_7d, name )
 
   END SUBROUTINE xios(is_defined_gridgroup_attr_hdl)
 
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, description_, group_ref_, mask_1d_, mask_2d_, mask_3d_, mask_4d_, mask_5d_  &
-    , mask_6d_, mask_7d_, name_ )
+    ( gridgroup_hdl, comment_, description_, group_ref_, mask_0d_, mask_1d_, mask_2d_, mask_3d_  &
+    , mask_4d_, mask_5d_, mask_6d_, mask_7d_, name_ )
 
     IMPLICIT NONE
       TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
+      LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description_
       LOGICAL(KIND=C_BOOL) :: description__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: mask_0d_
+      LOGICAL(KIND=C_BOOL) :: mask_0d__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_1d_
       LOGICAL(KIND=C_BOOL) :: mask_1d__tmp
@@ -423,4 +477,10 @@
       LOGICAL(KIND=C_BOOL) :: name__tmp
 
+      IF (PRESENT(comment_)) THEN
+        comment__tmp = cxios_is_defined_gridgroup_comment &
+      (gridgroup_hdl%daddr)
+        comment_ = comment__tmp
+      ENDIF
+
       IF (PRESENT(description_)) THEN
         description__tmp = cxios_is_defined_gridgroup_description &
@@ -435,4 +495,10 @@
       ENDIF
 
+      IF (PRESENT(mask_0d_)) THEN
+        mask_0d__tmp = cxios_is_defined_gridgroup_mask_0d &
+      (gridgroup_hdl%daddr)
+        mask_0d_ = mask_0d__tmp
+      ENDIF
+
       IF (PRESENT(mask_1d_)) THEN
         mask_1d__tmp = cxios_is_defined_gridgroup_mask_1d &
